Bug 130292 - [WebGL] Broken WEBGL_compressed_texture_pvrtc extension support
Summary: [WebGL] Broken WEBGL_compressed_texture_pvrtc extension support
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-15 07:28 PDT by Byungseon Shin
Modified: 2014-03-19 20:13 PDT (History)
12 users (show)

See Also:


Attachments
Patch (1.46 KB, patch)
2014-03-15 07:41 PDT, Byungseon Shin
no flags Details | Formatted Diff | Diff
Patch (1.58 KB, patch)
2014-03-19 17:24 PDT, Byungseon Shin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Byungseon Shin 2014-03-15 07:28:51 PDT
WebGLRenderingContext::getExtension of WEBGL_compressed_texture_pvrtc extension returns always null.
Comment 1 Byungseon Shin 2014-03-15 07:41:38 PDT
Created attachment 226819 [details]
Patch
Comment 2 Dongseong Hwang 2014-03-18 23:19:56 PDT
non-reviewer lgtm
smfr@, could you have a chance to review?
Comment 3 Dean Jackson 2014-03-19 17:13:59 PDT
Comment on attachment 226819 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=226819&action=review

> Source/WebCore/ChangeLog:6
> +        https://bugs.webkit.org/show_bug.cgi?id=130292
> +
> +        Reviewed by NOBODY (OOPS!).

Please add something like "We were not returning the extension from the function." as an explanation.
Comment 4 Byungseon Shin 2014-03-19 17:24:38 PDT
Created attachment 227238 [details]
Patch
Comment 5 WebKit Commit Bot 2014-03-19 20:13:19 PDT
Comment on attachment 227238 [details]
Patch

Clearing flags on attachment: 227238

Committed r165943: <http://trac.webkit.org/changeset/165943>
Comment 6 WebKit Commit Bot 2014-03-19 20:13:26 PDT
All reviewed patches have been landed.  Closing bug.